# TdApi.UpdateStorySendFailed (TDLight API 4.0.476 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: UpdateStorySendFailed

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.UpdateStorySendFailed

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Update
it.tdlight.jni.TdApi.UpdateStorySendFailed

Enclosing class:
  TdApi

public static final class TdApi.UpdateStorySendFailed extends TdApi.Update
A story failed to send. If the story sending is canceled, then updateStoryDeleted will be received instead of this update.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
Identifier uniquely determining type of the object.
`TdApi.Error`
`error`
The cause of the story sending failure.
`TdApi.CanSendStoryResult`
`errorType`
Type of the error; may be null if unknown.
`TdApi.Story`
`story`
The failed to send story.

## Constructor Summary

Constructors
Constructor
Description
`UpdateStorySendFailed()`
A story failed to send.
`UpdateStorySendFailed(TdApi.Story story, TdApi.Error error, TdApi.CanSendStoryResult errorType)`
A story failed to send.
`UpdateStorySendFailed(DataInput input)`
A story failed to send.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
Returns an identifier uniquely determining type of the object.
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`
Serialize the TDLib class

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### story

public TdApi.Story story
The failed to send story.

### error

public TdApi.Error error
The cause of the story sending failure.

### errorType

public TdApi.CanSendStoryResult errorType
Type of the error; may be null if unknown.

### CONSTRUCTOR

public static final int CONSTRUCTOR
Identifier uniquely determining type of the object.

See Also:
  - Constant Field Values

## Constructor Details

### UpdateStorySendFailed

public UpdateStorySendFailed()
A story failed to send. If the story sending is canceled, then updateStoryDeleted will be received instead of this update.

### UpdateStorySendFailed

public UpdateStorySendFailed(TdApi.Story story, TdApi.Error error, TdApi.CanSendStoryResult errorType)
A story failed to send. If the story sending is canceled, then updateStoryDeleted will be received instead of this update.

Parameters:
  `story` - The failed to send story.
  `error` - The cause of the story sending failure.
  `errorType` - Type of the error; may be null if unknown.

### UpdateStorySendFailed

public UpdateStorySendFailed(DataInput input) throws IOException
A story failed to send. If the story sending is canceled, then updateStoryDeleted will be received instead of this update.

Parameters:
  `input` - Serialized input
Throws:
  `IOException` - the deserialization failed

## Method Details

### getConstructor

public int getConstructor()
Description copied from class: `TdApi.Object`
Returns an identifier uniquely determining type of the object.

Specified by:
  `getConstructor` in class `TdApi.Object`
Returns:
  this.CONSTRUCTOR

### serialize

public void serialize(DataOutput output) throws IOException
Serialize the TDLib class

Specified by:
  `serialize` in class `TdApi.Object`
Parameters:
  `output` - output data stream
Throws:
  `IOException` - the serialization failed

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`